This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 220144 - /etc/init.d/ypserv status reports wrong status
/etc/init.d/ypserv status reports wrong status
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypserv (Show other bugs)
4.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-19 01:43 EST by Clotho Wing Yee Tsang
Modified: 2015-01-07 19:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-20 21:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clotho Wing Yee Tsang 2006-12-19 01:43:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.0.8) Gecko/20061025 Firefox/1.5.0.8

Description of problem:
No matter ypserv is started or stopped, "/etc/init.d/ypserv status" always returns status '0'.

I find that it can be fixed by adding a line in /etc/init.d/ypserv:
The line "RETVAL=$?" should be added after "status ypserv".

Version-Release number of selected component (if applicable):
ypserv-2.13-5

How reproducible:
Always


Steps to Reproduce:
1. Stop ypserv by command "service ypserv stop"
2. Run "service ypserv status"
3. Run "echo $?"


Actual Results:
0 is output

Expected Results:
A non-zero number should be output

Additional info:
Comment 1 RHEL Product and Program Management 2006-12-20 21:24:27 EST
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 2 RHEL Product and Program Management 2006-12-20 21:40:52 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.